/*
 * CodeAidBrowserPluginPart.java - part of the CodeAid plugin for jEdit
 * Copyright (C) 1999 Jason Ginchereau
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


package codeaid.browser;

import java.util.Vector;

import org.gjt.sp.jedit.EBPlugin;
import org.gjt.sp.jedit.EBMessage;
import org.gjt.sp.jedit.EditBus;
import org.gjt.sp.jedit.jEdit;
import org.gjt.sp.jedit.gui.DockableWindow;
import org.gjt.sp.jedit.msg.CreateDockableWindow;


/**
 *
 * @author Jason Ginchereau
 * @author Andre Kaplan
**/
public class CodeAidBrowserPluginPart extends EBPlugin {
    /**
     * The 'name' of the dockable window.
     *
     * @author <A HREF="mailto:akaplan@users.sourceforge.net">Andre Kaplan</A>
    **/
    public static final String DOCKABLE_NAME = "codeaid-dockable";


    public void start() {
        EditBus.addToNamedList(DockableWindow.DOCKABLE_WINDOW_LIST, DOCKABLE_NAME);
    }


    public void handleMessage(EBMessage message) {
        if (message instanceof CreateDockableWindow) {
            CreateDockableWindow cmsg = (CreateDockableWindow) message;
            if (cmsg.getDockableWindowName().equals(DOCKABLE_NAME)) {
                cmsg.setDockableWindow(new ClassBrowserDockable());
            }
        }
    }
}
