/*
 * CodeAidErrorsPluginPart.java - part of the CodeAid plugin for jEdit
 * Copyright (C) 1999,2000 Jason Ginchereau, Andre Kaplan
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


package codeaid.errors;

import codeaid.info.ErrorTable;

import org.gjt.sp.jedit.EBMessage;
import org.gjt.sp.jedit.EBPlugin;
import org.gjt.sp.jedit.EditBus;

import org.gjt.sp.jedit.DefaultErrorSource;
import org.gjt.sp.jedit.ErrorSource;


/**
 *
 * @author Jason Ginchereau
 * @author Andre Kaplan
**/
public class CodeAidErrorsPluginPart extends EBPlugin
{
    public static final String NAME = "CodeAid";


    public void start()
    {
        errorSource = new DefaultErrorSource(NAME);
        errorTable  = ErrorTable.getInstance();
        ErrorTable.setErrorSource(errorSource);
        EditBus.addToNamedList(ErrorSource.ERROR_SOURCES_LIST,errorSource);
        EditBus.addToBus(errorSource);
    }


    public void handleMessage(EBMessage msg) {}


    // private members
    private DefaultErrorSource errorSource;
    private ErrorTable errorTable;
}
