/*
 * InputHandlerAdapter.java - part of the CodeAid plugin for jEdit
 * Copyright (C) 1999, 2000 Jason Ginchereau, Andre Kaplan
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


package codeaid.popup;

import org.gjt.sp.jedit.EditAction;
import org.gjt.sp.jedit.gui.InputHandler;

import java.awt.event.KeyEvent;


public class InputHandlerAdapter extends InputHandler {
    private InputHandler ih;


    public InputHandlerAdapter(InputHandler originalIH) {
        // super(originalIH.view);
        super(null);
        this.ih = originalIH;
    }


    public InputHandler getOriginalInputHandler() {
        return ih;
    }


    public void keyTyped(KeyEvent evt) {
        ih.keyTyped(evt);
    }


    public void keyPressed(KeyEvent evt) {
        ih.keyPressed(evt);
    }


    public void keyReleased(KeyEvent evt) {
        ih.keyReleased(evt);
    }


    public void addKeyBinding(String keyBinding, EditAction action) {
        ih.addKeyBinding(keyBinding, action);
    }


    public void removeKeyBinding(String keyBinding) {
        ih.removeKeyBinding(keyBinding);
    }


    public void removeAllKeyBindings() {
        ih.removeAllKeyBindings();
    }


    public boolean isRepeatEnabled() {
        return ih.isRepeatEnabled();
    }


    public void setRepeatEnabled(boolean repeat) {
        ih.setRepeatEnabled(repeat);
    }


    public int getRepeatCount() {
        return ih.getRepeatCount();
    }


    public void setRepeatCount(int repeatCount) {
        ih.setRepeatCount(repeatCount);
    }


    public void invokeAction(EditAction action)
    {
        ih.invokeAction(action);
    }
}
